Package net.md_5.bungee.api.dialog.action

# Class RunCommandAction

java.lang.Object
net.md_5.bungee.api.dialog.action.RunCommandAction

All Implemented Interfaces:
  `Action`

public class RunCommandAction extends Object implements Action
Executes a command. If the command requires a permission higher than 0, a confirmation dialog will be shown by the client.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunCommandAction(@NonNull String template)`
  Creates a new `RunCommandAction` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `@NonNull String`
  `template()`
  The template to be applied, where variables of the form `$(key)` will be replaced by their `DialogInput.key` value.
  `RunCommandAction`
  `template(@NonNull String template)`
  The template to be applied, where variables of the form `$(key)` will be replaced by their `DialogInput.key` value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RunCommandAction

    public RunCommandAction(@NonNull @NonNull String template)
    Creates a new `RunCommandAction` instance.
    Parameters:
      `template` - The template to be applied, where variables of the form `$(key)` will be replaced by their `DialogInput.key` value.

- ## Method Details

  - ### template

    @NonNull public @NonNull String template()
    The template to be applied, where variables of the form `$(key)` will be replaced by their `DialogInput.key` value.

  - ### template

    public RunCommandAction template(@NonNull @NonNull String template)
    The template to be applied, where variables of the form `$(key)` will be replaced by their `DialogInput.key` value.
    Returns:
      `this`.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`